#-*-coding:utf-8-*-
'''
 DpCas-Light
||||      |||||        ||||         ||       |||||||
||  ||    ||   ||    ||    ||      ||||     ||     ||
||    ||  ||    ||  ||      ||    ||  ||     ||
||    ||  ||   ||   ||           ||====||     ||||||
||    ||  |||||     ||      ||  ||======||         ||
||  ||    ||         ||    ||  ||        ||  ||     ||
||||      ||           ||||   ||          ||  |||||||

/-------------------- APP_X --------------------/
'''
# date:2020-10-19.7.23.24
# Author: Eric.Lee
# function: main

import os
import warnings
warnings.filterwarnings("ignore")
import sys
sys.path.append("./components/") # 添加模型组件路径

from applications.handpose_local_app import main_handpose_x #加载 handpose 应用
from applications.wyw2s_local_app import main_wyw2s #加载 whoyouwant2see 应用

def demo_logo():
    print("\n/*********************************/")
    print("/---------------------------------/\n")
    print("       WELCOME : DpCas-Light      ")
    print("        << APP_X >>         ")
    print("   Copyright 2021 Eric.Lee2021   ")
    print("        Apache License 2.0       ")
    print("\n/---------------------------------/")
    print("/*********************************/\n")

if __name__ == '__main__':
    demo_logo()

    APP_P = "wyw2s"

    if APP_P == "handpose_x": # 手势识别
        cfg_file = "./lib/hand_lib/cfg/handpose.cfg"
        main_handpose_x(cfg_file)#加载 handpose 应用
        
    elif APP_P == "wyw2s": # 基于人脸识别的视频剪辑
        cfg_file = "./lib/wyw2s_lib/cfg/wyw2s.cfg"

        main_wyw2s(cfg_file,video_path = "./video/f1.mp4")#加载 handpose 应用
    print(" well done ~")
